if not ModCore then
	log("[ERROR] Unable to find ModCore from BeardLib! Is BeardLib installed correctly?")
	return
end

M4A1SAchsCore = M4A1SAchsCore or class(ModCore)

function M4A1SAchsCore:init()
	--Calling the base function for init from ModCore
	--self_tbl, config path, auto load modules, auto post init modules
	self.super.init(self, ModPath .. "main.xml", true, true)
end

if _G.CustomAchievement then -- we can try if the API is there directly.
	local success, err = pcall(function() M4A1SAchsCore:new() end)
	if not success then
		log("[ERROR] An error occured on the initialization of the custom achievements for the M4A1-S. " .. tostring(err))
	end
end