Hooks:PostHook( MissionEndState, "at_enter", "m4a1s_chievs", function(self)
	if CustomAchievementAPI then
		local new_api_path = "mods/Custom Achievements Addons/"

		CustomAchievementAPI:WeaponEquippedOnDiff(new_api_path .. "m4a1s_dw", "m4a1s", "overkill_290")
		CustomAchievementAPI:WeaponEquippedOnDiff(new_api_path .. "m4a1s_od", "m4a1s", "sm_wish")

		CustomAchievementAPI:WeaponEquippedOnMapAndDiff(new_api_path .. "m4a1s_dw_forest", "crojob2", "m4a1s", "overkill_290")
		CustomAchievementAPI:WeaponEquippedOnMapAndDiff(new_api_path .. "m4a1s_dw_gobank", "roberts", "m4a1s", "overkill_290")

		if CustomAchievementAPI:isStealth() then
			CustomAchievementAPI:isPrimaryWeaponEquipped(new_api_path .. "m4a1s_od_stealth", "m4a1s")
		end

		local csm = managers.crime_spree

		if csm and csm._global.spree_level >= 500 and csm:_is_active() then
			CustomAchievementAPI:Unlock(new_api_path .. "m4a1s_crimespree_500")
		end
	end
end)